Name:           axis2
Version:        1.6.1
Release:        4%{?dist}
Summary:        Java-based Web Services / SOAP / WSDL engine

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://axis.apache.org/axis2/java/core/
Source0:        http://mirror.metrocast.net/apache//axis/axis2/java/core/1.6.1/axis2-1.6.1-src.zip
# Disable modules whose dependencies are not in Fedora.
Patch0:         %{name}-disable-modules.patch
# 1) Remove JSR deps which are now built into openjdk
# 2) Fix javamail dep
# 3) Remove gmaven code
Patch1:         %{name}-dep-fixes.patch
# wrap generated headers with ifndef/define/endif
Patch2:         %{name}-AXIS2-5349.patch
BuildArch:      noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: XmlSchema
BuildRequires: apache-commons-logging
BuildRequires: axiom
BuildRequires: neethi
BuildRequires: jsr-311
BuildRequires: woden
BuildRequires: javamail
BuildRequires: dos2unix
BuildRequires: maven-remote-resources-plugin
BuildRequires: apache-commons-fileupload
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: geronimo-saaj
Requires:      java
Requires:      jpackage-utils
Requires:      XmlSchema
Requires:      apache-commons-logging
Requires:      log4j
Requires:      xerces-j2
Requires:      axiom
Requires:      neethi
Requires:      jsr-311
Requires:      woden
Requires:      javamail
Requires:      apache-commons-fileupload
Requires:      tomcat-servlet-3.0-api
Requires:      geronimo-saaj


%description
Apache Axis2 is a Web Services / SOAP / WSDL engine, the successor
to the widely used Apache Axis SOAP stack. There are two
implementations of the Apache Axis2 Web services engine - Apache 
Axis2/Java and Apache Axis2/C.  This is Axis2/Java.

%package javadoc
Summary:      API documentation for %{name}
Group:        Documentation
Requires:     jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
# Tests currently use an auto-generated ant build xml file which
# fails due to incorrect setting of JAVA_HOME (to JRE instead of JDK home)
# I have not yet determined the fix for this.
mvn-rpmbuild install \
    -Dmaven.test.skip \
    -Dproject.build.sourceEncoding=UTF-8 \
    javadoc:aggregate
dos2unix NOTICE.txt

%install
install -d -m 755 %{buildroot}%{_javadir}/%{name}
install -d -m 755 %{buildroot}%{_mavenpomdir}

# parent POM
cp modules/parent/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom

for mod in resource-bundle adb adb-codegen codegen kernel saaj; do
  install -m 644 modules/${mod}/target/%{name}-${mod}-%{version}.jar %{buildroot}%{_javadir}/%{name}/%{name}-${mod}.jar
  cp modules/${mod}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-${mod}.pom
  %add_maven_depmap JPP.%{name}-%{name}-${mod}.pom %{name}/%{name}-${mod}.jar
done

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/api/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc LICENSE.txt NOTICE.txt README.txt release-notes.html
%{_javadir}/%{name}
%{_mavenpomdir}/JPP*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Andy Grimm <agrimm@gmail.com> - 1.6.1-3
- Fix a bug with generated headers (AXIS2-5349)

* Mon Mar 12 2012 Andy Grimm <agrimm@gmail.com> - 1.6.1-2
- change tomcat6 requirement to tomcat 7

* Wed Feb 22 2012 Andy Grimm <agrimm@gmail.com> - 1.6.1-1
- Initial package
